Bug 4503 - (int-119932) Build of apps depending on libclutter-0.8-dev break when extras-devel repo is used
: Build of apps depending on libclutter-0.8-dev break when extras-devel repo is...
Product: Desktop platform
: 5.0-beta
: All Linux
: High critical (vote)
: 5.0-beta2
Assigned To: Soumya
: clutter-bugs
  Show dependency tree
Reported: 2009-05-08 21:15 UTC by Bruno Araujo
Modified: 2009-07-14 13:39 UTC (History)
9 users (show)

See Also:



You need to log in before you can comment on or make changes to this bug.

Description Bruno Araujo (reporter) 2009-05-08 21:15:04 UTC
Fremantle SDK i386 Beta

libclutter-0.8-dev depends on the GL subsystem, and for that it uses
alternative dependencies on its debian/control:

libgles2-dev | libgles2-sgx-img-dev | libgl1-mesa-dev | libgl-dev

When you use only the official repos for Fremantle SDK, the dependency chosen
is libgl-dev (as it is the only available), and all runs fine. However, when
uploading to autobuilder, libgles2-dev is pulled instead, as it is available on
extras-devel and has a higher priority than libgl-dev - but one or more of the
GL headers are missing on this package, breaking clutter and any app that
depends on it.


 - Ensure libgl-dev and libclutter-0.8-dev aren't installed
 - Add extras-devel repository into /etc/apt/sources.list && apt-get update
 - $ apt-get install libclutter-0.8-dev
 - $ cpp -E /usr/include/clutter-0.8/cogl/cogl-defines-gl.h >/dev/null


None (the command should end successfully)


/usr/include/clutter-0.8/cogl/cogl-defines-gl.h:29:19: error: GL/gl.h: No such
file or directory




A workaround for this problem is install libgl-dev or put it as a dependency of
what you're trying to build.

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:
Gecko/2009042523 Ubuntu/9.04 (jaunty) Firefox/3.0.10
Comment 1 Andre Klapper maemo.org 2009-05-11 20:59:45 UTC
> libgles2-dev is pulled instead, as it is available on extras-devel

According to
, libgles2-dev 0.20081031.1-16 is available for SDK Armel beta (though I'm
surprised that libgles2 itself has a much newer version date:
0.20090218.30+0m5) in **nokia-binaries** repository.

But it is also available in **Maemo Extras**:
The package lists Kate Alhola as Maintainer.

So why is this duplicated? Or do I not get something obvious here?
(Pardon, not my area of knowledge.)
Comment 2 Andre Klapper maemo.org 2009-05-12 16:35:45 UTC
Kate, can you comment on this?
Comment 3 Andre Klapper maemo.org 2009-05-31 14:57:17 UTC
According to Niels this BLOCKS uploading ANY packages depending on clutter.
Adding Kimmo to CC.
Comment 4 Andre Klapper maemo.org 2009-05-31 15:53:45 UTC
Reassigning to Soumya after talking with Niels and Soumya.

(Note to myself: Also see int-109904)
Comment 5 Soumya nokia 2009-06-05 10:47:53 UTC
Alright, finally we have the updated clutter package with build dependency set
as follows:
libgles2-dev [armel] | libgles2-sgx-img-dev [armel], libgl-dev [!armel]

Both clutter and glib2.0 are updated. 

Updated versions:
clutter: 0.8.2-0maemo34+0m5
glibc: 2.20.1-1maemo3+0m5

Seems like the Sources.gz is not updated yet. It may take a while.
Comment 6 Niels Breet maemo.org 2009-06-05 12:05:20 UTC
Verified fixed:

Comment 7 Janne Johansson nokia 2009-06-08 14:07:38 UTC
Unfortunately I just downgraded the clutter packages to the previous versions
and thus causing this bug to reappear. This was done because the upgrade
actually broke the installation of the beta SDK, which I thought was more
severe than this bug.

I trust this is only momentary. Sorry for the inconvenience.
Comment 8 Janne Johansson nokia 2009-06-08 16:23:02 UTC
Seems that we managed to fix the installation issues and the new clutter
packages have now been re-uploaded along with the fixed packages.

Sorry about that.
Comment 9 Bruno Araujo (reporter) 2009-06-08 18:58:27 UTC
The proper dependencies are being pulled now, and the test case works. Marking
as Verified.
Comment 10 Andre Klapper maemo.org 2009-07-14 13:39:34 UTC
Fix should be included in Fremantle SDK beta 2 hence updating Target Milestone.